Package org.apache.sling.repoinit.filevault.validator

## Class RepoInitValidatorFactory

- java.lang.Object
- - org.apache.sling.repoinit.filevault.validator.RepoInitValidatorFactory

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.validation.spi.ValidatorFactory`

    @MetaInfServices
    public class RepoInitValidatorFactory
    extends Object
    implements org.apache.jackrabbit.vault.validation.spi.ValidatorFactory

### Field Summary

### Fields inherited from interface org.apache.jackrabbit.vault.validation.spi.ValidatorFactory

`ID_PREFIX_JACKRABBIT`

### Constructor Summary

Constructors
`RepoInitValidatorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.jackrabbit.vault.validation.spi.Validator` `createValidator​(@NotNull org.apache.jackrabbit.vault.validation.spi.ValidationContext context, @NotNull org.apache.jackrabbit.vault.validation.spi.ValidatorSettings settings)`
`@NotNull String` `getId()`
`int` `getServiceRanking()`
`boolean` `shouldValidateSubpackages()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepoInitValidatorFactory

    public RepoInitValidatorFactory()

### Method Detail

#### createValidator

    public org.apache.jackrabbit.vault.validation.spi.Validator createValidator​(@NotNull
                                                                                @NotNull org.apache.jackrabbit.vault.validation.spi.ValidationContext context,
                                                                                @NotNull
                                                                                @NotNull org.apache.jackrabbit.vault.validation.spi.ValidatorSettings settings)

Specified by:
  `createValidator` in interface `org.apache.jackrabbit.vault.validation.spi.ValidatorFactory`

#### shouldValidateSubpackages

    public boolean shouldValidateSubpackages()

Specified by:
  `shouldValidateSubpackages` in interface `org.apache.jackrabbit.vault.validation.spi.ValidatorFactory`

#### getId

    @NotNull
    public @NotNull String getId()

Specified by:
  `getId` in interface `org.apache.jackrabbit.vault.validation.spi.ValidatorFactory`

#### getServiceRanking

    public int getServiceRanking()

Specified by:
  `getServiceRanking` in interface `org.apache.jackrabbit.vault.validation.spi.ValidatorFactory`